TransactionState (Eclipse OpenMQ (tm), 5.1 API Specification)
Description: declaration: package: com.sun.messaging.jms.management.server, class: TransactionState

Package com.sun.messaging.jms.management.server

# Class TransactionState

java.lang.Object
com.sun.messaging.jms.management.server.TransactionState

public class TransactionState extends Object
Class containing constants for transaction states.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `COMMITTED`
  Transaction was committed.
  `static final int`
  `COMPLETE`
  Transaction completed.
  `static final int`
  `CREATED`
  Transaction was created.
  `static final int`
  `FAILED`
  Transaction failed.
  `static final int`
  `INCOMPLETE`
  Transaction incomplete.
  `static final int`
  `PREPARED`
  Transaction is in prepared state.
  `static final int`
  `ROLLEDBACK`
  Transaction was rolled back.
  `static final int`
  `STARTED`
  Transaction was started.
  `static final int`
  `TIMED_OUT`
  Transaction timed out.
  `static final int`
  `UNKNOWN`
  Unknown transaction state.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static String`
  `toString(int state)`
  Returns a string representation of the specified transaction state.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### UNKNOWN

    public static final int UNKNOWN
    Unknown transaction state.
    See Also:
      - Constant Field Values

  - ### CREATED

    public static final int CREATED
    Transaction was created.
    See Also:
      - Constant Field Values

  - ### STARTED

    public static final int STARTED
    Transaction was started.
    See Also:
      - Constant Field Values

  - ### FAILED

    public static final int FAILED
    Transaction failed.
    See Also:
      - Constant Field Values

  - ### INCOMPLETE

    public static final int INCOMPLETE
    Transaction incomplete.
    See Also:
      - Constant Field Values

  - ### COMPLETE

    public static final int COMPLETE
    Transaction completed.
    See Also:
      - Constant Field Values

  - ### PREPARED

    public static final int PREPARED
    Transaction is in prepared state. It can now be commited or rolled back.
    See Also:
      - Constant Field Values

  - ### COMMITTED

    public static final int COMMITTED
    Transaction was committed.
    See Also:
      - Constant Field Values

  - ### ROLLEDBACK

    public static final int ROLLEDBACK
    Transaction was rolled back.
    See Also:
      - Constant Field Values

  - ### TIMED_OUT

    public static final int TIMED_OUT
    Transaction timed out.
    See Also:
      - Constant Field Values

- ## Method Details

  - ### toString

    public static String toString(int state)
    Returns a string representation of the specified transaction state.
    Parameters:
      `state` - Transaction state.
    Returns:
      String representation of the specified transaction state.